<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::internal::FloatingPoint&lt; RawType &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1internal_1_1FloatingPoint.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">testing::internal::FloatingPoint&lt; RawType &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:abf228bf6cd48f12c8b44c85b4971a731"><td class="memItemLeft" align="right" valign="top"><a id="abf228bf6cd48f12c8b44c85b4971a731"></a>
typedef <a class="el" href="classtesting_1_1internal_1_1TypeWithSize.html">TypeWithSize</a>&lt; sizeof(RawType)&gt;::UInt&#160;</td><td class="memItemRight" valign="bottom"><b>Bits</b></td></tr>
<tr class="separator:abf228bf6cd48f12c8b44c85b4971a731"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0dabf840863e0df84046f171c891fe71"><td class="memItemLeft" align="right" valign="top"><a id="a0dabf840863e0df84046f171c891fe71"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>FloatingPoint</b> (const RawType &amp;x)</td></tr>
<tr class="separator:a0dabf840863e0df84046f171c891fe71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab053be914bdc9e507c0db89740c318c"><td class="memItemLeft" align="right" valign="top"><a id="aab053be914bdc9e507c0db89740c318c"></a>
const Bits &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>bits</b> () const</td></tr>
<tr class="separator:aab053be914bdc9e507c0db89740c318c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6bf8fab8df572ecb137a3516ff390ae"><td class="memItemLeft" align="right" valign="top"><a id="af6bf8fab8df572ecb137a3516ff390ae"></a>
Bits&#160;</td><td class="memItemRight" valign="bottom"><b>exponent_bits</b> () const</td></tr>
<tr class="separator:af6bf8fab8df572ecb137a3516ff390ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa17337e50a2ac855719bc0676529558f"><td class="memItemLeft" align="right" valign="top"><a id="aa17337e50a2ac855719bc0676529558f"></a>
Bits&#160;</td><td class="memItemRight" valign="bottom"><b>fraction_bits</b> () const</td></tr>
<tr class="separator:aa17337e50a2ac855719bc0676529558f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb8a816bb598225d775caaf43a893ef0"><td class="memItemLeft" align="right" valign="top"><a id="afb8a816bb598225d775caaf43a893ef0"></a>
Bits&#160;</td><td class="memItemRight" valign="bottom"><b>sign_bit</b> () const</td></tr>
<tr class="separator:afb8a816bb598225d775caaf43a893ef0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fc654fd206efa98e480aa1e034f30d5"><td class="memItemLeft" align="right" valign="top"><a id="a1fc654fd206efa98e480aa1e034f30d5"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_nan</b> () const</td></tr>
<tr class="separator:a1fc654fd206efa98e480aa1e034f30d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a965214c1af2f9ac5adb1393794aa81e5"><td class="memItemLeft" align="right" valign="top"><a id="a965214c1af2f9ac5adb1393794aa81e5"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>AlmostEquals</b> (const <a class="el" href="classtesting_1_1internal_1_1FloatingPoint.html">FloatingPoint</a> &amp;rhs) const</td></tr>
<tr class="separator:a965214c1af2f9ac5adb1393794aa81e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a145158f48d527cfc83150cc53bfd979f"><td class="memItemLeft" align="right" valign="top"><a id="a145158f48d527cfc83150cc53bfd979f"></a>
float&#160;</td><td class="memItemRight" valign="bottom"><b>Max</b> ()</td></tr>
<tr class="separator:a145158f48d527cfc83150cc53bfd979f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a93b5901a99236ad6eded827f76bf3a44"><td class="memItemLeft" align="right" valign="top"><a id="a93b5901a99236ad6eded827f76bf3a44"></a>
double&#160;</td><td class="memItemRight" valign="bottom"><b>Max</b> ()</td></tr>
<tr class="separator:a93b5901a99236ad6eded827f76bf3a44"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ac551f793522e54fbd8a25acb79eac5b1"><td class="memItemLeft" align="right" valign="top"><a id="ac551f793522e54fbd8a25acb79eac5b1"></a>
static RawType&#160;</td><td class="memItemRight" valign="bottom"><b>ReinterpretBits</b> (const Bits bits)</td></tr>
<tr class="separator:ac551f793522e54fbd8a25acb79eac5b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a460027cc19cf01ae8e09cc3796b2b575"><td class="memItemLeft" align="right" valign="top"><a id="a460027cc19cf01ae8e09cc3796b2b575"></a>
static RawType&#160;</td><td class="memItemRight" valign="bottom"><b>Infinity</b> ()</td></tr>
<tr class="separator:a460027cc19cf01ae8e09cc3796b2b575"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aae5954d8a57d3ff0987c6930cb68e114"><td class="memItemLeft" align="right" valign="top"><a id="aae5954d8a57d3ff0987c6930cb68e114"></a>
static RawType&#160;</td><td class="memItemRight" valign="bottom"><b>Max</b> ()</td></tr>
<tr class="separator:aae5954d8a57d3ff0987c6930cb68e114"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:ab819d2e8f93e9e482373999f0f8d71b9"><td class="memItemLeft" align="right" valign="top"><a id="ab819d2e8f93e9e482373999f0f8d71b9"></a>
static const size_t&#160;</td><td class="memItemRight" valign="bottom"><b>kBitCount</b> = 8*sizeof(RawType)</td></tr>
<tr class="separator:ab819d2e8f93e9e482373999f0f8d71b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b756a6d2a4f5f5b41ca79651c06c043"><td class="memItemLeft" align="right" valign="top">static const size_t&#160;</td><td class="memItemRight" valign="bottom"><b>kFractionBitCount</b></td></tr>
<tr class="separator:a0b756a6d2a4f5f5b41ca79651c06c043"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1973d843c00781053d3073daa8a40119"><td class="memItemLeft" align="right" valign="top"><a id="a1973d843c00781053d3073daa8a40119"></a>
static const size_t&#160;</td><td class="memItemRight" valign="bottom"><b>kExponentBitCount</b> = kBitCount - 1 - kFractionBitCount</td></tr>
<tr class="separator:a1973d843c00781053d3073daa8a40119"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca98b5ea6f2222a66a82e52421682efa"><td class="memItemLeft" align="right" valign="top"><a id="aca98b5ea6f2222a66a82e52421682efa"></a>
static const Bits&#160;</td><td class="memItemRight" valign="bottom"><b>kSignBitMask</b> = static_cast&lt;Bits&gt;(1) &lt;&lt; (kBitCount - 1)</td></tr>
<tr class="separator:aca98b5ea6f2222a66a82e52421682efa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ac75d4ffd24f14bca452abe8a718da1"><td class="memItemLeft" align="right" valign="top">static const Bits&#160;</td><td class="memItemRight" valign="bottom"><b>kFractionBitMask</b></td></tr>
<tr class="separator:a0ac75d4ffd24f14bca452abe8a718da1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a66065dfc4d5f41100f686159637af23b"><td class="memItemLeft" align="right" valign="top"><a id="a66065dfc4d5f41100f686159637af23b"></a>
static const Bits&#160;</td><td class="memItemRight" valign="bottom"><b>kExponentBitMask</b> = ~(kSignBitMask | kFractionBitMask)</td></tr>
<tr class="separator:a66065dfc4d5f41100f686159637af23b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adeb0569a334b30329f1edf732f21c5ea"><td class="memItemLeft" align="right" valign="top"><a id="adeb0569a334b30329f1edf732f21c5ea"></a>
static const uint32_t&#160;</td><td class="memItemRight" valign="bottom"><b>kMaxUlps</b> = 4</td></tr>
<tr class="separator:adeb0569a334b30329f1edf732f21c5ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Field Documentation</h2>
<a id="a0b756a6d2a4f5f5b41ca79651c06c043"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b756a6d2a4f5f5b41ca79651c06c043">&#9670;&nbsp;</a></span>kFractionBitCount</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename RawType &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const size_t <a class="el" href="classtesting_1_1internal_1_1FloatingPoint.html">testing::internal::FloatingPoint</a>&lt; RawType &gt;::kFractionBitCount</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div>
<div class="line">    std::numeric_limits&lt;RawType&gt;::digits - 1</div>
</div><!-- fragment -->
</div>
</div>
<a id="a0ac75d4ffd24f14bca452abe8a718da1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ac75d4ffd24f14bca452abe8a718da1">&#9670;&nbsp;</a></span>kFractionBitMask</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename RawType &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const Bits <a class="el" href="classtesting_1_1internal_1_1FloatingPoint.html">testing::internal::FloatingPoint</a>&lt; RawType &gt;::kFractionBitMask</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line">=</div>
<div class="line">    ~static_cast&lt;Bits&gt;(0) &gt;&gt; (kExponentBitCount + 1)</div>
</div><!-- fragment -->
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="gtest-internal_8h_source.html">gtest-internal.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><b>internal</b></li><li class="navelem"><a class="el" href="classtesting_1_1internal_1_1FloatingPoint.html">FloatingPoint</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
